Sign Up for Training |
Jet Express Support |
Jet Reports Company Site
Jet 365 Financials
Jet Professional
Jet Enterprise
Downloads
Community
Submit a Request
Give Feedback

What versions of NAV are compatible with the Jet Excel add-in


Updated November 2016

This is the latest list of compatible versions of Jet Professional/Essentials/Reports and Dynamics NAV ("Navision").  NAV versions marked in Red are not recommended (or will not work) with the Jet Excel add-in.

(note: This article mentions "C/Front" - contact your NAV Solutions Provider for the version of C/Front what works with your version of NAV).

 

  • NAV 10.0.xxxxx (NAV 2017)
    • works with Jet Professional 
  • NAV 9.0.xxxxx (NAV 2016)
    • works with Jet Essentials 2015 Update 1 or Jet Professional
  • NAV 8.0.37874 (NAV 2015)
    • works with Jet Essentials 2015 or later
  • NAV 7.1.35473 (NAV 2013R2)
    • works with Jet Essentials 2013 or later
  • NAV 7.0.33781 (NAV 2013)
    • works with Jet Essentials 2013 or later
    • works with Jet Essentials 2012 R2 ("Windows Authentication" only) 
  • NAV 6.0.32012 (NAV 2009R2)
    • works with Jet Reports 2010 or later
    • Must install the Classic Client 
  • NAV 6.0.29626
    • works with Jet Reports 2009 or later
    • Must install the Classic Client 
  • NAV 6.0.27808
    • Must install a matching build of C/Front.
    • works with Jet Reports 7.1.2 or later
    • Must install the Classic Client 
  • NAV 5.0.1.26084
    • Must install a matching build of C/Front.
    • works with Jet Reports 5.3.2 or later (Jet Reports 7.1.0 or later recommended) 
  • NAV 5.0.0.25359
    • Must install a matching build of C/Front if using a version of Jet Reports prior to 7.1.0.1805.
    • works with Jet Reports 5.3.1 or later (Jet Reports 7.1.0.1805 or later recommended) 
  • NAV 5.0.0.24199
    • Must install a matching build of C/Front if using a version of Jet Reports prior to Jet 7.0.5.
    • works with Jet Reports 5.3.1 or later (Jet Reports 7.0.6 or later recommended) 
       
  • NAV 4.0.3.25143 (Hotfix 6)
    • Microsoft does not provide a matching build of C/Front for this version.
    • Download and install C/Front 4.0.3.25202 instead.
    • Works with Jet Reports 5.3.2 or later with C/Front 4.0.3.25202 installed. 
  • NAV 4.0.3.24734 (Hotfix 5)
    • requires C/Front 4.0.3.24734 or C/Front 4.0.3.25202
    • works with Jet Reports 5.3.2 or later

  • NAV 4.0.3.24080
    • requires that the build of C/Front match the client (fin.exe)
    • works with Jet Reports 5.3.1 or later
       
  • NAV 4.0.3.23305
    • requires C/Front 23305 or C/Front 4.0.3.24080
    • works with Jet Reports 5.3.1 or later 
  • NAV 4.0.2.23099
    • Requires C/Front 4.0.2.23099 or C/FRONT 4.0.3.24080.
    • works with Jet Reports 5.3.1 or later
       
  • NAV 4.0.2.22611
    • Microsoft did not provide a matching C/Front for this version.  Install C/Front 4.0.1.2166 and copy patched C/Front 4.0.2.22611 files into the C/Front installation directory.
    • Works with Jet Reports 7.1.0 or later 
  • NAV 4.0.2.22100
    • C/Front 4.0.2.22100 does not work.  Install C/Front 4.0.1.21666 and copy patched C/Front 4.0.2.22100 files into C/Front installation directory.
    • works with Jet Reports 4.0.7 or later 
  • NAV 4.0.1.21666
    • requires that the build of C/Front match the client (fin.exe)
    • works with Jet Reports 4.0.7 or later 
  • NAV 4.0.0.21544
    • Microsoft does not provide a matching version of C/Front for this version.
    • works with Jet Reports 4.0.7 to Jet Reports 7.1.2 
  • NAV 4.0.0.20942
    • NAV 4.0 Update 1 was not accompanied by an installer.  Install C/Front 4.0.0.19365 and copy 4.0.0.20942 C/Front files into C/Front installation directory.  You can download C/Front 4.0.0.20942.
    • works with Jet Reports 4.0.7 to Jet Reports 7.1.2 
  • NAV 4.0.0.19365
    • requires that the build of C/Front match the client (fin.exe)
    • works with Jet Reports 4.0.7 to Jet Reports 7.1.2 
  • Navision 3.70
    • requires that the build of C/Front match the Client (fin.exe)
    • works with Jet Reports 3.6.1 to Jet Reports 7.1.2 
  • Navision 3.60
    • requires that the build of C/Front match the Client (fin.exe)
    • works with Jet Reports 3.x to Jet Reports 7.1.2 
  • Navision 3.10
    • requires that the build of C/Front match the Client (fin.exe)
    • works with Jet Reports 3.x to Jet Reports 7.1.2 
  • Navision 3.01
    • Requires that the build of C/Front match the Client (fin.exe)
    • Works with Jet Reports 3.x to Jet Reports 7.1.2
Was this article helpful?
0 out of 1 found this helpful
Have more questions? Submit a request

Comments

  • Avatar
    Jet AUNZ Support

    Could NAV 2016 R2 compatibility please be added?